<?php

function cdp_admin_support()
{
    ?>
    <div class="wrap">
        <div class="row">
            <div class="col-xs-12 col-md-8">
                <div class="card">
                    <h2 class="card-title"><?=__('Suporte', 'cdp_lang')?></h2>
                    <p class="card-subtitle"><?=__('Antes de entrar em contato com o Suporte, confira a o nosso FAQ (Perguntas Frequentes). Caso sua dúvida ou problema não esteja no FAQ, entre em contato com o suporte. O nosso suporte funciona de <strong>Segunda a Sexta, entre às 9h e 19h</strong>, horário de Brasília, em dias úteis.', 'cdp_lang')?></p>
                    <p><?=__('Se entrou em contato com nosso suporte dentro do horário de atendimento, você será respondido em no máximo 48h. Caso entre em contato em fim de semanas e feriados, seu atendimento irá respondido em até 48 horas do próximo dia útil.', 'cdp_lang')?></p>
                    <h3><?=__('Dicas para um Suporte Melhor', 'cdp_lang')?></h3>
                    <?=__('<p>Para que o nosso suporte seja o mais eficiente, pedimos que se possível, <strong>você faça um vídeo da sua dúvida ou problema</strong>, dessa forma vamos poder ter um ideia mais nítida da situação e responder de forma mais assertiva para você.</p>

<p>Para agilizar o seu atendimento, <strong>entre em contato pelo seu email de compra</strong> para facilitar a sua identificação. E no corpo do e-mail <strong>explique sua dúvida ou problema com o máximo de detalhes</strong>, quanto mais detalhar, mais rápido será para te ajudar, caso contrário o seu suporte será prejudicado.</p>

<p>Pedimos também, que coloque no corpo do email a <strong>URL da página clonada e a URL da página original</strong>, para visualizarmos e darmos uma solução mais precisa para a sua dificuldade.</p>

<p>Se possível, grave um vídeo utilizando o <a href="https://www.loom.com/">Loom</a> e encaminhei junto com o seu problema, para ser mais visualmente assertivo a identificação do seu problema.</p>', 'cdp_lang')?>

<h3><?=__('ATENÇÃO', 'cdp_lang')?></h3>

<?=__('<p>Perguntas que tiverem sido mal formuladas, infelizmente, poderão ser desconsideradas e não serem atendidas pelo suporte devido ao grande volume de mensagens que recebemos todos os dias.</p>

<p>Cada email que encaminha é aberto um ticket que será acompanhado até a resolução e fechamento, sendo que os emails mais antigos são respondido primeiro, logo, se encaminhar muitos emails, a sua mensagem poderá ser a última a ser respondida por que sempre será atualizada para o fim da fila.</p>

<p>Agradecemos a compreensão e a confiança em nossos produtos.</p>', 'cdp_lang')?>
                </div>
            </div>
            <div class="col-xs-12 col-md-4">
                <div class="card">
                    <script type="text/javascript">
                        (function(d, src, c) { var t=d.scripts[d.scripts.length - 1],s=d.createElement('script');s.id='la_x2s6df8d';s.async=true;s.src=src;s.onload=s.onreadystatechange=function(){var rs=this.readyState;if(rs&&(rs!='complete')&&(rs!='loaded')){return;}c(this);};t.parentElement.insertBefore(s,t.nextSibling);})(document,
                        'https://alanmosko.ladesk.com/scripts/track.js', function(e){
                            LiveAgent.setUserDetails('<?=cdp_get_options('cdp_active_email')?>');
                            LiveAgent.addTicketField('Produto', 'Plugin Clonador de Páginas');
                            LiveAgent.addTicketField('Licença', '<?=cdp_get_options('cdp_active_code')?>');
                            LiveAgent.addTicketField('Domínio', '<?=$_SERVER['SERVER_NAME']?>');
                            LiveAgent.createForm('7x0k45g1', e);
                        });
                    </script>
                </div>
            </div>
        </div>
    </div>
    <?php
}
