<?php

function cdp_metabox_fields_beta($xbox, $admin_field)
{
    $xbox->add_field([
        'id'   => 'beta-title',
        'name' => __('Recursos em Desenvolvimento Beta', 'cdp_lang'),
        'type' => 'title',
        'desc' => __('<b style="color:#E42B04;">ATENÇÃO:</b> Todos os recursos aqui listados, estão em desenvolvimento, logo pode ser que nem todos os recursos funcionem em todas as páginas, ou até mesmo gerando a quebra da página, por isso, só use para páginas finais após testes.', 'cdp_lang'),
    ]);

    $xbox->add_field([
        'id'         => 'cdp_tutorial_yellow_install',
        'name'       => __('Yellow Pencil', 'cdp_lang'),
        'desc'       => __('Plugin para edição de Estilo e CSS de forma visual e rápida em tempo real.', 'cdp_lang'),
        'type'       => 'button',
        'content'    => __('Instalar', 'cdp_lang'),
        'attributes' => [
            'href'   => wp_nonce_url(
                add_query_arg(
                    [
                        'action' => 'install-plugin',
                        'plugin' => 'yellow-pencil-visual-theme-customizer',
                    ],
                    admin_url('update.php')
                ),
                'install-plugin' . '_' . 'yellow-pencil-visual-theme-customizer'
            ),
            'target' => '_blank',
        ],
        'options'    => [
            'color' => 'yellow',
            'size'  => 'small',
            'tag'   => 'a',
            'icon'  => '<i class="xbox-icon xbox-icon-download"></i>',
        ],
        'grid'       => '3-of-6 last',
    ]);

}
