<?php

// Exit Popup
$exit_config_status = $xbox->get_field_value('cdp_exit_config_status');
if ($exit_config_status == "true" && ! (current_user_can('manage_options') && $editor_visual == 'on')) {
    $exit_config_show = $xbox->get_field_value('cdp_exit_config_show');
    $exit_config_delay = $xbox->get_field_value('cdp_exit_config_delay');
    $exit_config_cookie = $xbox->get_field_value('cdp_exit_config_cookie');
    $exit_content_image = $xbox->get_field_value('cdp_exit_content_image');
    $exit_css_border = $xbox->get_field_value('cdp_exit_css_border');
    $exit_content_title = htmlspecialchars(do_shortcode($xbox->get_field_value('cdp_exit_content_title')), ENT_QUOTES);
    $exit_content_subtitle = htmlspecialchars(do_shortcode($xbox->get_field_value('cdp_exit_content_subtitle')), ENT_QUOTES);
    $exit_css_bg = $xbox->get_field_value('cdp_exit_css_bg');
    $exit_css_title = $xbox->get_field_value('cdp_exit_css_title');
    $exit_css_subtitle = $xbox->get_field_value('cdp_exit_css_subtitle');
    $exit_content_image = $xbox->get_field_value('cdp_exit_content_image');
    $exit_btn1_status = $xbox->get_field_value('cdp_exit_btn1_status');
    $exit_content_btn_text = $xbox->get_field_value('cdp_exit_content_btn_text');
    $exit_content_btn_link = $xbox->get_field_value('cdp_exit_content_btn_link');
    $exit_content_btn_link_type = $xbox->get_field_value('cdp_exit_content_btn_link_type');
    $exit_css_btn_bg = $xbox->get_field_value('cdp_exit_css_btn_bg');
    $exit_css_btn_text = $xbox->get_field_value('cdp_exit_css_btn_text');
    $exit_btn2_status = $xbox->get_field_value('cdp_exit_btn2_status');
    $exit_content_btn2_text = $xbox->get_field_value('cdp_exit_content_btn2_text');
    $exit_content_btn2_link = $xbox->get_field_value('cdp_exit_content_btn2_link');
    $exit_content_btn2_link_type = $xbox->get_field_value('cdp_exit_content_btn2_link_type');
    $exit_css_btn2_bg = $xbox->get_field_value('cdp_exit_css_btn2_bg');
    $exit_css_btn2_text = $xbox->get_field_value('cdp_exit_css_btn2_text');

    $exit_btn1 = '';
    if ($exit_btn1_status == "on") {
        $exit_btn1 = "<a href=\"{$exit_content_btn_link}\" target=\"{$exit_content_btn_link_type}\" style=\"display: inline-block; margin: 20px 0 0 0; padding: 15px 25px; color: {$exit_css_btn_text} !important; font-size: 16px; font-weight: 600; background-color: {$exit_css_btn_bg}; margin-right: 25px; margin-left: 25px; border-radius: 4px; cursor: pointer; -webkit-appearance: none; -moz-appearance: none; text-decoration: none;\">{$exit_content_btn_text}</a>";
    }

    $exit_btn2 = '';
    if ($exit_btn2_status == "on") {
        $exit_btn2 = "<a href=\"{$exit_content_btn2_link}\" target=\"{$exit_content_btn2_link_type}\" style=\"display: inline-block; margin: 20px 0 0 0; padding: 15px 25px; color: {$exit_css_btn2_text} !important; font-size: 16px; font-weight: 600; background-color: {$exit_css_btn2_bg}; margin-right: 25px; margin-left: 25px; border-radius: 4px; cursor: pointer; -webkit-appearance: none; -moz-appearance: none; text-decoration: none;\">{$exit_content_btn2_text}</a>";
    }

    if ( ! empty($exit_content_image)) {
        $exit_content_image = "<img src=\"{$exit_content_image}\" title=\"{$exit_content_title}\" style=\"max-width: 100%; margin-bottom: 15px;\">";
    } else {
        $exit_content_image = '';
    }
    $exit_config_delay = $exit_config_delay - 1;
    $exitPopup = "
                <script type='text/javascript'>
                    setTimeout( function () {
                        " . file_get_contents(DIR_CdP . "js/bioep-exit.js") . "
                      bioEp.init({
                        html: '<div style=\"padding: 25px;\">' +
                        '{$exit_content_image}' +
                        '<span style=\"display: block; color: {$exit_css_title}; font-size: 28px; font-weight: 600; margin-bottom: 15px;\">{$exit_content_title}</span>' +
                        '<span style=\"display: block; font-size: 16px; color: {$exit_css_subtitle};\">{$exit_content_subtitle}</span>' +
                        '{$exit_btn1}' +
                        '{$exit_btn2}' +
                        '</div>',
                        css: '#bio_ep_close {line-height: 20px;} #bio_ep {width: 550px; min-height: 200px; height: auto; color: #333; background-color: {$exit_css_bg}; text-align: center; border-radius: {$exit_css_border}px;} #bio_ep a { transition: all 0.25s ease; } #bio_ep a:hover { opacity: 0.75; }',
                        cookieExp: {$exit_config_cookie},
                        showOnDelay: {$exit_config_show},
                        delay: {$exit_config_delay},
                    });
                }, 1000);
                </script>";
    $page_html = str_replace("</body>", "\n" . $exitPopup . '</body>', $page_html);
}
