<?php

function cdp_admin_dashboard()
{
    ?>
    <div class="wrap">
        <div class="row">
            <div class="col-xs-12 col-md-4">
                <div class="card" style="padding: 0;">
                    <?=player_video('https://player.vimeo.com/video/534259482');?>
                </div>
            </div>
            <div class="col-xs-12 col-md-8">
                <div class="card">
                    <h2 class="card-title"><?=sprintf(__('Seja Bem Vindo %s ao Plugin Clonador de Páginas!', 'cdp_lang'), wp_get_current_user()->display_name)?></h2>
                    <p class="card-subtitle"><?=__('Para que você não tenha nenhuma dificuldade em utilizar todas as funcionalidades do Clonador de Páginas, acesse agora mesmo nosso portal de apoio e assista as vídeo-aulas feitas exclusivamente para ajudar você. Nesse portal, você tem acesso a todos os tutoriais detalhados explicando cada um dos recursos que o plugin tem, e também, todas as perguntas frequentes que são feitas para o nosso suporte. E estamos iniciando a produção de Guias de Clonagem dos produtos mais divulgados pelos tops afiliados.', 'cdp_lang')?></p>
                    <div class="row">
                        <div class="col-xs-12 col-md-4">
                            <h3><?=__('Portal de Apoio', 'cdp_lang')?></h3>
                            <a class="button button-blue-fc button-hero" href="<?=CdP_TUTOR;?>" target="_blank">
                                <b><?=__('Quero Acessar o Portal de Apoio', 'cdp_lang')?></b>
                            </a>
                        </div>
                        <div class="col-xs-12 col-md-8">
                            <h3><?=__('Bônus', 'cdp_lang')?></h3>
                            <ul class="list-step">
                                <li>
                                    <a href="https://clonadordepaginas.com.br/redirecionamento-curso-wordpress/" class="welcome-icon welcome-add-page" target="_blank">
                                        <?=__('Curso: Hospedagem WordPress de Alta Performance Grátis', 'cdp_lang')?>
                                    </a>
                                </li>
                                <li>
                                    <a href="https://clonadordepaginas.com.br/redirecionamento-curso-primeiras-vendas/" class="welcome-icon welcome-add-page" target="_blank">
                                        <?=__('Curso: Como Fazer as Primeiras Vendas como Afiliado', 'cdp_lang')?>
                                    </a>
                                </li>
                                <li>
                                    <a href="https://clonadordepaginas.com.br/redirecionamento-curso-facebook-ads/" class="welcome-icon welcome-add-page" target="_blank">
                                        <?=__('Curso: Como Criar Campanhas de Vendas no Facebook Ads', 'cdp_lang')?>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-md-4">
                <div class="card">
                    <h2 class="card-title"><?=__('Os Primeiros Passos com o Clonador:', 'cdp_lang')?></h2>
                    <ul class="list-step">
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-ativar-a-licenca-do-clonador-de-paginas/" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Ativar sua Licença no Plugin', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-clonar-uma-pagina-de-vendas/" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Clonar a sua Primeira Página de Vendas', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-personalizar-uma-pagina-de-vendas-clonada/" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Personalizar uma Página Clonada', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-utilizar-os-recursos-de-afiliado" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Utilizar os Recursos para Afiliado', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-adicionando-um-popup-na-pagina-clonada" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Adicionar um Popup na Página Clonada', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-colocar-pixel-facebook-google-pagina-clonada" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Colocar o Pixel do Facebook e Google na sua Página', 'cdp_lang')?>
                            </a>
                        </li>
                        <li>
                            <a href="https://clonadordepaginas.com.br/como-inserir-botao-de-contato-whatsapp" class="welcome-icon welcome-add-page" target="_blank">
                                <?=__('Como Inserir um Botão de Contato pelo WhatsApp', 'cdp_lang')?>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-xs-12 col-md-8">
                <div class="card">
                    <h2 class="card-title"><?=__('Melhores Recomendações:', 'cdp_lang')?></h2>
                    <div class="row">
                        <div class="col-xs-12 col-md-4">
                            <a href="https://funnelcontrol.online/?utm_content=cdp_dashboard" target="_blank">
                                <img src="<?=get_cdp_image('Funnel-Control.png')?>" class="img-fluid">
                            </a>
                        </div>
                        <div class="col-xs-12 col-md-4">
                            <a href="https://mosko.link/upcloud" target="_blank">
                                <img src="<?=get_cdp_image('UpCloud.png')?>" class="img-fluid">
                            </a>
                        </div>
                        <div class="col-xs-12 col-md-4">
                            <a href="https://mosko.digital/f/curso-wordpress-essencial/pv/?utm_content=cdp_dashboard" target="_blank">
                                <img src="<?=get_cdp_image('WordPressEssencial.png')?>" class="img-fluid">
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}
