<?php

// Tratamento da URL
if (str_contains($page_url, '?')) {
    $page_url = str_finish(str_before($page_url, '?'), '/');
} elseif ( ! str_contains($page_url, '.htm') && ! str_contains($page_url, '.php') && ! str_contains($page_url, '.asp')) {
    $page_url = str_finish($page_url, '/');
    update_post_meta($post->ID, 'cdp_page_url', $page_url);
}

// URL do Plugin
if (is_ssl()) {
    $url_cdp = str_replace('http://', 'https://', URL_CdP);
} else {
    $url_cdp = URL_CdP;
}

// Ajusta CDNs
if (has_ssl($page_url)) {
    $page_html = str_replace("='//cdn", "='https://cdn", $page_html);
    $page_html = str_replace('="//cdn', '="https://cdn', $page_html);

    $page_html = str_replace("='//", "='https://", $page_html);
    $page_html = str_replace('="//', '="https://', $page_html);
} else {
    $page_html = str_replace("='//", "='http://", $page_html);
    $page_html = str_replace('="//', '="http://', $page_html);
}

// Remove Query Version
str_replace("ver=", rand(0, 1000), $page_html);

// HTTPS para os Videos
$page_html = str_replace('http://youtu', "https://youtu", $page_html);
$page_html = str_replace('http://www.youtu', "https://youtu", $page_html);
$page_html = str_replace('http://vimeo', "https://vimeo", $page_html);
$page_html = str_replace('http://www.vimeo', "https://vimeo", $page_html);
$page_html = str_replace('http://player.vimeo', "https://player.vimeo", $page_html);

// KlickPages
$page_html = str_replace('http://static', 'https://static', $page_html);
$page_html = str_replace('http://art', 'https://art', $page_html);

// Wix Blur e Qualidade
if (str_contains($page_html, 'wixstatic')) {
    for ($i = 0; $i <= 100; $i++) {
        if ($i < 10) {
            $page_html = str_replace(',blur_0' . $i, '', $page_html);
            $page_html = str_replace(',q_0' . $i, ',q_100', $page_html);
        } else {
            $page_html = str_replace(',blur_' . $i, '', $page_html);
            $page_html = str_replace(',q_' . $i, ',q_100', $page_html);
        }
    }
    $page_html = str_replace('</body>', '<script>var canvas = document.querySelectorAll("canvas"); canvas.forEach(function (element) { let image = element.dataset.src; element.parentElement.style.backgroundImage = "url(\'" + image + "\')";});</script></body>', $page_html);
}

if ( ! str_contains($page_html, '</html>')) {
    $page_html = $page_html . '</html>';
}

if ( ! str_contains($page_html, '</body>')) {
    $page_html = str_replace('</html>', '</body></html>', $page_html);
}
