<?php

// Cookie Oculto
if (is_array($page_aff_url) && $page_aff_url_status == 'on') {
    foreach ($page_aff_url as $aff) {
        $page_html = str_replace("</body>", "\n<iframe src='" . $aff . "' style='width:0;height:0;border:0;'></iframe></body>", $page_html);
    }
}

// Back Redirect
if ($page_aff_br == "on") {
    $page_aff_br_html = "\n<script>
        document.addEventListener('DOMContentLoaded', function() {
            setTimeout(() => {
                console.log('[PCdP][Back Redirect][Start]: {$page_aff_br_url}');
                history.pushState({}, '', location.href);
                history.pushState({}, '', location.href);
                window.onpopstate = function () {
                    location.href = '{$page_aff_br_url}';
                };
                window.onpopstate = function () {
                    location.href = '{$page_aff_br_url}';
                };
            }, 2000);
        });
    </script>";
    $page_html = str_replace("</body>", $page_aff_br_html . '</body>', $page_html);
}

// URL Parameters
if ($page_aff_p_url == "on") {
    $page_aff_p_html = "<script>
        function cdp_parameters() {
            var cdp_parameters = window.location.href.split('?')[1];
            if (cdp_parameters !== undefined) {
                jQuery('a').each(function (index, element) {
                    if (element.getAttributeNode('href') != null) {
                        var href = element.getAttributeNode('href').value;
                        var newHref = href;
                        if (href.includes('http')) {
                            if (href.includes('?')) {
                                newHref = href + '&' + cdp_parameters;
                            } else {
                                newHref = href + '?' + cdp_parameters;
                            }
                            element.setAttribute('href', newHref);
                        }
                    }
                });
            }
        }
        if (typeof jQuery === undefined) {
            var headTag = document.getElementsByTagName('head')[0];
            var jqTag = document.createElement('script');
            jqTag.type = 'text/javascript';
            jqTag.src = 'https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js';
            jqTag.onload = cdp_parameters;
            headTag.appendChild(jqTag);
        } else {
            cdp_parameters();
        }
    </script>";
    $page_html = str_replace("</body>", $page_aff_p_html . '</body>', $page_html);
}

// Alert Affiliate
if ($page_aff_alert == 'on' && ! (current_user_can('manage_options') && $editor_visual == 'on')) {
    $page_aff_text = ($page_aff_text != "") ? $page_aff_text : __('Este site usa cookies para garantir que você obtenha uma melhor experiência.', 'cdp_lang');
    $page_aff_btn_text = ($page_aff_btn_text != "") ? $page_aff_btn_text : __('Obrigado!', 'cdp_lang');
    $page_aff_btn_color = ($page_aff_btn_color != "") ? $page_aff_btn_color : '#4b81e8';
    $alert = '<script src="https://cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>
        <script>
            window.addEventListener("load", function(){
                window.cookieconsent.initialise({
                    "palette":{
                        "popup":{
                            "background":"#edeff5",
                            "text":"#838391"
                        },
                        "button":{
                            "background":"' . $page_aff_btn_color . '"
                        }
                    },
                    "showLink":!1,
                    "theme":"edgeless",
                    "content":{
                        "message":"' . $page_aff_text . '",
                        "dismiss":"' . $page_aff_btn_text . '"
                    }
                });
            });
        </script>';
    $alert_head = '<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />';
    $page_html = str_replace("</head>", "\n" . $alert_head . '</head>', $page_html);
    $page_html = str_replace("</body>", "\n" . $alert . '</body>', $page_html);
}
